Page Summary
-
Creates a new region definition within your Merchant Center account using an HTTP POST request.
-
Requires specifying the
merchantIdas a path parameter andregionIdas a query parameter. -
The request body must contain a
Regionobject, as detailed in the provided documentation. -
Upon successful execution, the response body returns the newly created
Regionobject. -
Authorization requires the
https://www.googleapis.com/auth/contentscope.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a region definition in your Merchant Center account.
HTTP request
POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/regions
Path parameters
| Parameters | |
|---|---|
merchantId |
Required. The id of the merchant for which to create region definition. |
Query parameters
| Parameters | |
|---|---|
regionId |
Required. The id of the region to create. |
Request body
The request body contains an instance of Region.
Response body
If successful, the response body contains a newly created instance of Region.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.